# Uses of Interface
org.eclipse.jdt.junit.ITestRunListener

Packages that use ITestRunListener
Package
Description
org.eclipse.jdt.junit
Application programming interfaces for interaction with the Eclipse Java development tools JUnit support.

## Uses of ITestRunListener in org.eclipse.jdt.junit

Methods in org.eclipse.jdt.junit with parameters of type ITestRunListener
Modifier and Type
Method
Description
`static void`
JUnitCore.`addTestRunListener(ITestRunListener listener)`
Deprecated.
As of 3.3, replaced by `JUnitCore.addTestRunListener(TestRunListener)`
`static void`
JUnitCore.`removeTestRunListener(ITestRunListener listener)`
Deprecated.
As of 3.3, replaced by `JUnitCore.removeTestRunListener(TestRunListener)`